<template>
  <el-bus-crud ref="crud" v-bind="tableConfig" />
</template>

<script>
import { getPartnerListConfig } from '@/utils/form-item-config'
export default {
  data() {
    return {
      tableConfig: {
        url: 'flower/v2/report/order/detail/page',
        hasEdit: false,
        hasNew: false,
        hasDelete: false,
        hasView: false,
        hasExport: true,
        hasOperation: false,
        exportUrl: 'flower/v2/report/order/detail/export',
        exportText: '导出',
        columns: [
          { label: '订单号', prop: 'orderNo', minWidth: 150, fixed: 'left' },
          {
            label: '下单用户',
            prop: 'customer',
            minWidth: '150px',
            fixed: 'left',
          },
          { label: '收货人地址', prop: 'address', minWidth: '220px' },
          { label: '合伙人', prop: 'partnerName', minWidth: '120px' },
          { label: '下单时间', prop: 'orderDate', minWidth: '180px' },
          { label: '订单金额', prop: 'orderTotal', minWidth: '120px' },
          { label: '订单金额(实付)', prop: 'totalAmount', minWidth: '120px' },
          {
            label: '花农底价',
            prop: 'orderSupplierPriceAmount',
            minWidth: '120px',
          },
          {
            label: '平台区间加价',
            prop: 'orderMarkupOneAmount',
            minWidth: '120px',
          },
          {
            label: '平台加价',
            prop: 'orderMarkupTwoAmount',
            minWidth: '120px',
          },
          {
            label: '平台区域加价',
            prop: 'platformAreaFeeAmount',
            minWidth: '120px',
          },
          {
            label: '合伙人加价',
            prop: 'orderMarkupPartnerAmount',
            minWidth: '120px',
          },
          {
            label: '合伙人区间加价',
            prop: 'partnerSectionFeeAmount',
            minWidth: '120px',
          },

          { label: '优惠合计', prop: 'orderDiscountTotalFee', minWidth: 120,},
          { label: '会员折扣', prop: 'orderPriceDiscountAmount', minWidth: 120,},
          { label: '优惠券', prop: 'orderCouponAmountTotal',minWidth: '100px',},

          { label: '质检总扣款', prop: 'orderCheckTotalFee', minWidth: 120 },
          { label: '质检降级扣款', prop: 'orderCheckFee', minWidth: '100px' },
          { label: '质检缺货扣款', prop: 'orderLackFeeSupplier', minWidth: '100px',},
          { label: '质检补货扣款', prop: 'orderReplaceFee', minWidth: '100px' },

          { label: '售后总扣款', prop: 'orderTotalFee', minWidth: 150 },
          { label: '售后供应商扣款', prop: 'orderFeeSupplier', minWidth: 150 },
          { label: '售后平台扣款', prop: 'orderFeePlatform', minWidth: 150 },
          { label: '售后合伙人扣款', prop: 'orderFeePartner', minWidth: 150 },
          { label: '售后打包扣款', prop: 'orderFeePlatformPack', minWidth: 150 },
          { label: '售后质检扣款', prop: 'orderFeePlatformCheck', minWidth: 150 },
          { label: '售后物流扣款', prop: 'orderFeePlatformTransport', minWidth: 150 },
          { label: '售后打包运费扣款', prop: 'orderFeePackingTransport', minWidth: 150 },

          {
            label: '总包干费',
            prop: 'partnerTotalFeeAmount',
            minWidth: '100px',
          },
          { label: '总销售扎数', prop: 'orderNum', minWidth: '100px' },
          { label: '实际销售扎数', prop: 'realSaleNum', minWidth: '100px' },
          { label: '缺货扎数', prop: 'orderLackNum', minWidth: 120 },
          { label: '降级扎数', prop: 'orderReduceNum', minWidth: 120 },
          { label: '补货扎数', prop: 'orderReplaceNum', minWidth: 120 },

          {
            label: '利润',
            prop: 'profitFeeAmount',
            minWidth: '100px',
            fixed: 'right',
          },
          {
            label: '结算状态',
            prop: 'settleStatusStr',
            minWidth: '120px',
            fixed: 'right',
          },
        ],
        searchForm: [
          {
            type: 'row',
            span: 6,
            items: [
              {
                label: '下单日期',
                id: 'calDate',
                component: 'el-date-picker',
                type: 'date',
                el: {
                  valueFormat: 'yyyy-MM-dd',
                  style: 'width:100%',
                  clearable: false,
                },
                default: this.$route.params.date,
              },
              {
                ...getPartnerListConfig(),
                default: this.$route.query.partnerId || '',
              },
            ],
          },
        ],
      },
    }
  },
  head() {
    return {
      title: '订单结算明细',
    }
  },
}
</script>
